<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xbrli="http://www.xbrl.org/2003/instance" 
xmlns:xbrll="http://www.xbrl.org/2003/linkbase" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:itcc-ci="http://www.infocamere.it/itnn/fr/itcc/ci/2008-12-15">
<!-- Formattazione numeri -->
<xsl:decimal-format decimal-separator="," grouping-separator="."/>
<!--  -->
<!-- ******************************* -->
<xsl:variable name="I_01">
<xsl:for-each select="/xbrli:xbrl/xbrli:context/xbrli:period/xbrli:instant">
<xsl:sort order="descending" select="."/>
<xsl:if test="position() = 2">
<xsl:value-of select="../../@id"/>
</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:variable name="I_02">
<xsl:for-each select="/xbrli:xbrl/xbrli:context/xbrli:period/xbrli:instant">
<xsl:sort order="descending" select="."/>
<xsl:if test="position() = 1">
<xsl:value-of select="../../@id"/>
</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:variable name="D_01">
<xsl:for-each select="/xbrli:xbrl/xbrli:context/xbrli:period/xbrli:endDate">
<xsl:sort select="." order="descending"/>
<xsl:if test="position() = 2">
<xsl:value-of select="../../@id"/>
</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:variable name="D_02">
<xsl:for-each select="/xbrli:xbrl/xbrli:context/xbrli:period/xbrli:endDate">
<xsl:sort select="." order="descending"/>
<xsl:if test="position() = 1">
<xsl:value-of select="../../@id"/>
</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:variable name="anno_corrente">
<xsl:for-each select="/xbrli:xbrl/xbrli:context/xbrli:period/xbrli:instant">
<xsl:sort order="descending" select="."/>
<xsl:if test="position() = 1">
    <xsl:value-of select="concat(substring(.,9,2), '-', substring(., 6,2), '-', substring(., 1,4))"/>
</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:variable name="anno_precedente">
<xsl:for-each select="/xbrli:xbrl/xbrli:context/xbrli:period/xbrli:instant">
<xsl:sort order="descending" select="."/>
<xsl:if test="position() = 2">
    <xsl:value-of select="concat(substring(.,9,2), '-', substring(., 6,2), '-', substring(., 1,4))"/>
</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:variable name="tipologia_bilancio">
<xsl:call-template name="retrieve_tipologia_bilancio"/>
</xsl:variable>
<!-- ******************************* -->
<!-- ******************************* -->
<xsl:template name="retrieve_tipologia_bilancio">
<!--
il tag xbrl sembra non avere attributi
/.//*[local-name()='xbrl']/@* 
-->
<xsl:choose>
<!-- xsl:when test="(/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href)='itcc-ci-abb-2006-12-15.xsd'" -->
<xsl:when test="contains((/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href),'itcc-ci-abb-')">
<xsl:value-of select="'ABB'"/>
</xsl:when>
<!-- xsl:when test="(/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href)='itcc-ci-abbsemp-2006-12-15.xsd'" -->
<xsl:when
test="contains((/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href),'itcc-ci-abbsemp')">
<xsl:value-of select="'ABBSEMP'"/>
</xsl:when>
<!-- xsl:when test="(/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href)='itcc-ci-ese-2006-12-15.xsd'" -->
<xsl:when test="contains((/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href),'itcc-ci-ese')">
<xsl:value-of select="'ESE'"/>
</xsl:when>
<!-- xsl:when test="(/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href)='itcc-ci-cons-2006-12-15.xsd'"-->
<xsl:when test="contains((/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href),'itcc-ci-cons')">
<xsl:value-of select="'CON'"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="'UNK'"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="retrieve_idcontext_dati_anagrafici">
<xsl:value-of select="/xbrli:xbrl//*[local-name()='DatiAnagraficiDenominazione']//@contextRef"/>
</xsl:template>
<!-- controllo sul numero di contesti -->
<xsl:template name="check_context">
<xsl:variable name="numOfContext">
<xsl:value-of select="count(/xbrli:xbrl//*[local-name()='context'])"/>
</xsl:variable>
<xsl:if test="$numOfContext!=4">
<hr/>
<div align="center">
<blink>
<font color="RED">Attenzione!</font>
</blink> Ci sono <xsl:value-of select="$numOfContext"/> contesti </div>
<br/>
</xsl:if>
<xsl:variable name="numOfInstantContext">
<xsl:value-of select="count(/xbrli:xbrl//*[local-name()='instant'])"/>
</xsl:variable>
<xsl:if test="$numOfInstantContext>2">
<hr/>
<div align="center">
<blink>
<font color="RED">Attenzione!</font>
</blink> Ci sono <xsl:value-of select="$numOfInstantContext"/> contesti di tipo INSTANT.<br/> I
dati relativi a <xsl:value-of select="$numOfInstantContext - 2"/> contesto/i non verranno  visualizzati. </div>
<br/>
</xsl:if>
<xsl:variable name="numOfDurationContext">
<xsl:value-of select="count(/xbrli:xbrl//*[local-name()='startDate'])"/>
</xsl:variable>
<xsl:if test="$numOfDurationContext>2">
<hr/>
<div align="center">
<blink>
<font color="RED">Attenzione!</font>
</blink> Ci sono <xsl:value-of select="$numOfDurationContext"/> contesti di tipo DURATION </div>
<br/>
</xsl:if>
</xsl:template>
<xsl:template match="/">
<html>
<!--Generated By Infocamere-->
<head>
<style type="text/css">/* Created By InfoCamere  */
/* CSS SAO */
body { margin-top: 10px; padding: 5px; background-color: white; }
table.value { padding: 5px; margin: 5px; border-collapse: collapse; border-spacing: 0px; border: 0px none white; border-top: 2px solid black;  border-bottom: 2px solid black;  font-family: "Arial", "Verdana", "sans-serif";width: 80% }
table.footnote {  padding: 0px; margin: 5px; border: 0px solid black; font-family: "Arial", "Verdana", "sans-serif"; }
table.header {  padding: 0px; margin: 5px; border: 0px solid black; font-family: "Arial", "Verdana", "sans-serif"; border-spacing: 5px;}
tbody { border: 5px none black; padding: 0px; margin:0px;} 
tr { border: 5px none black; padding: 0px; margin:0px;} 
tr.row1 { border: 5px none black; padding: 0px; margin:0px; background-color: white; border-bottom: 1px solid #e0e0e0;} 
tr.row2 { border: 5px none black; padding: 0px; margin:0px; background-color:  #eeeeee; border-bottom: 1px solid #e0e0e0;} 
/* ********** PERSONALIZZAZIONE SAO ************************ */
/*  tr.row1SaoSP { border: 5px none black; padding: 0px; margin:0px; background-color: #CCFFFF; border-bottom: 1px solid #e0e0e0;}  */
/* tr.row1SaoCE { border: 5px none black; padding: 0px; margin:0px; background-color: #FFCCFF; border-bottom: 1px solid #e0e0e0;} */
/* tr.row1SaoCO { border: 5px none black; padding: 0px; margin:0px; background-color: #99FFCC; border-bottom: 1px solid #e0e0e0;}  */
/*  tr.row2SaoSP { border: 5px none black; padding: 0px; margin:0px; background-color:  #CCFFFF; border-bottom: 1px solid #e0e0e0;}  */
/* tr.row2SaoCE { border: 5px none black; padding: 0px; margin:0px; background-color:  #FFCCFF; border-bottom: 1px solid #e0e0e0;}  */
/*  tr.row2SaoCO { border: 5px none black; padding: 0px; margin:0px; background-color:  #99FFCC; border-bottom: 1px solid #e0e0e0;} */
/* ********** FINE PERSONALIZZAZIONE SAO ************************ */
td.emptylabel { border: 0px none black; padding: 0px 0px 2px 0px; margin:0px; font-size: 12px; } 
td.label { border: 0px none black; padding: 2px 0px 1px 0px; margin:0px; font-size: 12px; } 
td.value { border: 0px solid #888888; border-bottom: 0px solid #e0e0e0; text-align: center;  padding: 0px 0px 0px 0px; margin:0px 0px 0px 0px; font-size: 12px; width: 110px; }
div.normal { border: 0px solid #888888; padding: 0px; margin:0px; }
div.caption { border: 0px solid #888888; padding: 0px; margin:0px; font-size: 12px; text-align: %CaptionAlign%; }
div.noborder { border: 0px solid #888888; padding: 0px 2px 0px 2px; margin:0px 2px 0px 2px; }
div.topborder { border: 0px solid #888888; border-top: 1px solid black; padding: 0px 2px 0px 2px; margin:0px 2px 0px 2px; }
div.bottomborder { border: 0px solid #888888; border-bottom: 2px solid black; padding: 0px 2px 0px 2px; margin:0px 2px 0px 2px; }
div.topbottomborder { border: 0px solid #888888; border-top: 1px solid black; border-bottom: 2px solid black; padding: 0px 2px 0px 2px; margin:0px 2px 0px 2px; }
td.emptyvalue { border: 0px solid #888888; text-align: center;  padding: 0px; margin:0px; font-size: 12px; width: 110px; }
td.header { color: #000070; border: 0px none black; padding: 1px 5px 1px 5px; margin: 1px 5px 1px 5px; vertical-align: top; font-size: 8pt;}
td.title { border: 0px none black; border-bottom: 1px solid black;  padding: 0px; margin:0px; }
th.title { border: 0px solid black; padding: 0px  300px 0px 2px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.indent { border: 0px solid black; padding: 0px 15px 0px 2px; margin:0px; border-bottom: 1px solid black; font-size: 13px; }
th.valuetitle { border: 0px solid black; padding: 5px 0px 5px 0px; margin:0px; border-bottom: 1px solid black; border-left: 5px solid #ffffff; font-size: 13px; }
th.footnote_no { border: 0px solid black; padding: 3px; margin:0px; font-size: 13px; width: 30px; }
th.footnote_content {  border: 0px solid black; padding: 3px; margin:0px; font-size: 13px; }
th.footnote_link { border: 0px solid black; padding: 3px; margin:0px; font-size: 13px; width: 200px; }
td.footnote_no { vertical-align: top;  border: 0px solid black; padding: 3px; margin:0px; font-size: 13px; text-align: right; width:30px;}
td.footnote_content { vertical-align: top;  border: 0px solid black; padding: 3px; margin:0px; font-size: 13px; width: 700px;}
td.footnote_link {  border: 0px solid black; padding: 3px; margin:0px; font-size: 13px; width: 700px; }
td.numeric { text-align: right; border: 0px none red; padding: 0px; margin:0px;}
div.pagelabel { text-align: center; font-family: "Arial", "Verdana", "sans-serif"; font-size: 16pt; font-weight: bold; margin: 25px 5px 25px 5px; }
div.footnote_title { text-align: left; font-family: "Arial", "Verdana", "sans-serif"; font-size: 13pt; font-weight: bold; margin: 5px 5px 5px 5px; }
caption.header { font-family: "Arial", "Verdana", "sans-serif"; font-size: 10pt; margin: 15px 5px 15px 5px; caption-side: top; }
div.footer { font-family: "Arial", "Verdana", "sans-serif"; font-size: 10pt; text-align: right;}
div.nil { text-align: center; border: 0px solid #cccccc; margin-left: 3px; margin-top: 2px; margin-bottom: 2px; margin-right: 0px; padding-right: 3px; white-space: nowrap;  }
div.numeric { text-align: right; border: 0px solid #cccccc; margin-left: 3px; margin-top: 2px; margin-bottom: 2px; margin-right: 0px; padding-right: 3px; white-space: nowrap;  }
div.calcerrorvalue { text-align: right; border: 0px solid #cccccc; margin-left: 3px; margin-top: 2px; margin-bottom: 2px; margin-right: 0px; padding-right: 3px; white-space: nowrap;  }
div.calcerrorcalcvalue { text-align: right; border: 0px solid #cccccc; margin-left: 3px; margin-top: 2px; margin-bottom: 2px; margin-right: 0px; padding-right: 3px; white-space: nowrap; color: red; font-weight: bold; }
div.numeric_sum { text-align: right; border: 0px solid #cccccc; margin-left: 3px; margin-top: 0px; margin-bottom: 0px; margin-right: 0px; padding-right: 3px; white-space: nowrap; } /* border-top: 1px solid black ; vertical-align: top;}*/
div.nonnumeric { text-align: left; border: 0px solid #cccccc; margin-left: 3px; margin-top: 2px; margin-bottom: 2px; margin-right: 0px;  padding-left: 3px;  }
div.sum { text-align: right; border: 0px solid #cccccc;  margin: 3px; white-space: nowrap; border-bottom: 1px solid #dddddd; }
td.first_label {font-weight: bold; font-size: 16px;}
td.sez_label { border: 0px none black; padding: 2px 0px 1px 0px; margin:0px; font-size: 14px; font-weight: bold;}
td.tot_label { border: 0px none black; padding: 2px 0px 1px 0px; margin:0px; font-size: 12px; font-weight: bold;}
</style>
</head>
<body>
<!-- INFO su TIPOPLOGIA BILANCIO -->
<table style="font-size: 20pt; font-weight: bold; background-color:#242466" width="80%"
align="center">
<tbody>
<tr>
<td align="center" style="color:#FFFFFF;"> BILANCIO <xsl:choose>
<xsl:when test="$tipologia_bilancio='ABB'">
<xsl:value-of select="'ABBREVIATO'"/>
</xsl:when>
<xsl:when test="$tipologia_bilancio='ABBSEMP'">
<xsl:value-of select="'ABBREVIATO SEMPLIFICATO'"/>
</xsl:when>
<xsl:when test="$tipologia_bilancio='ESE'">
<xsl:value-of select="'ESERCIZIO'"/>
</xsl:when>
<xsl:when test="$tipologia_bilancio='CON'">
<xsl:value-of select="'CONSOLIDATO'"/>
</xsl:when>
<xsl:when test="$tipologia_bilancio='UNK'">
<xsl:value-of select="/xbrli:xbrl//*[local-name()='schemaRef']//@xlink:href"/>
</xsl:when>
</xsl:choose>
</td>
</tr>
</tbody>
</table>
<br/>
<!-- CONTROLLO PRELIMINARE SUI CONTESTI-->
<!-- elimino controllo contesti         marina   26/02/08 -->
<!--  <xsl:call-template name="check_context"/>  -->
<!-- 
Ordine delle sezioni:
1)Dati Anagrafici Azienda
2)Stato Patrimoniale
3)Conti d'Ordine
4)Conto Economico
-->
<!-- 
Informazioni generali sull'azienda (ABB|ESE|CONS|ABBSEMP) 
-->
<xsl:variable name="idcontext_dati_anagrafici">
<xsl:call-template name="retrieve_idcontext_dati_anagrafici"/>
</xsl:variable>
<hr/>
<!-- Informazioni generali sull'azienda -->
<table align="center">
<thead>
<tr>
<td colspan="2" align="center" style="font-family:Arial;font-weight:bold;font-size:16pt"
>Informazioni generali sull'impresa</td>
</tr>
    <tr>
        <td colspan="2" align="center"
            style="font-family:Arial;font-weight:bold;font-size:12pt"
            >Dati anagrafici</td>
    </tr>
    
</thead>
<tbody>
<tr>
<td align="right">
<i>Denominazione:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DatiAnagraficiDenominazione[(@contextRef
= $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td align="right">
<i>Sede:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DatiAnagraficiSede[(@contextRef
= $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td align="right">
<i>Capitale Sociale:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiCapitaleSociale[(@contextRef =
$idcontext_dati_anagrafici) ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td align="right">
<i>Capitale Sociale Interamente Versato:</i>
</td>
<td>
<xsl:variable name="CSIV_boolean">
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiCapitaleSocialeInteramenteVersato[(@contextRef
= $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</xsl:variable>
<xsl:choose>
<xsl:when test="string($CSIV_boolean)='true' or string($CSIV_boolean)='1'">
<xsl:variable name="SI"><![CDATA[Sì]]></xsl:variable>
<xsl:value-of select="$SI"/>
</xsl:when>
<xsl:when test="string($CSIV_boolean)='false' or string($CSIV_boolean)='0'">
<xsl:value-of select="'NO'"/>
</xsl:when>
<xsl:otherwise>
<!-- manca il valore booleano nell'istanza: dato N.D. (non disponibile) -->
<xsl:value-of select="'N.D.'"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td align="right">
<i>Codice CCIAA:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiCodiceCciaa[(@contextRef =
$idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td align="right">
<i>Partita IVA:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiPartitaIva[(@contextRef =
$idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td align="right">
<i>Codice Fiscale:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiCodiceFiscale[(@contextRef =
$idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td align="right">
<i>Numero Rea:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiNumeroRea[(@contextRef =
$idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>

<tr>
<td align="right">
<i>Forma Giuridica:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiFormaGiuridica[(@contextRef =  $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td align="right">
<i>Settore di Attività Prevalente (ATECO):</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiSettoreAttivitaPrevalenteAteco[(@contextRef =  $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td  align="right">
<i>Appartenenza a un Gruppo:</i>
</td>
<td>
<xsl:variable name="CSIV2_boolean">
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiAppartenenzaGruppo[(@contextRef = $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</xsl:variable> 
<xsl:choose>
<xsl:when test="string($CSIV2_boolean)='true' or string($CSIV2_boolean)='1'">
<xsl:variable name="SI"><![CDATA[Sì]]></xsl:variable>
<xsl:value-of select="$SI"/>
</xsl:when>
<xsl:when test="string($CSIV2_boolean)='false' or string($CSIV2_boolean)='0'">
<xsl:value-of select="'NO'"/>
</xsl:when>
<xsl:otherwise>
<!-- manca il valore booleano nell'istanza: dato N.D. (non disponibile) -->
<xsl:value-of select="'N.D.'"/>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<tr>
<td  align="right">
<i>Denominazione della Società Capogruppo:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiDenominazioneSocietaCapogruppo[(@contextRef =  $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
<tr>
<td  align="right">
<i>Paese della Capogruppo:</i>
</td>
<td>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset"
select="/xbrli:xbrl/itcc-ci:DatiAnagraficiPaeseCapogruppo[(@contextRef =  $idcontext_dati_anagrafici)]"/>
<xsl:with-param name="format" select="''"/>
</xsl:call-template>
</td>
</tr>
    <xsl:variable name="numero_iscrizione_albo_cooperative">
        <xsl:call-template name="getValueString">
            <xsl:with-param name="nodeset"
                select="/xbrli:xbrl/itcc-ci:DatiAnagraficiNumeroIscrizioneAlboCooperative[(@contextRef =
                $idcontext_dati_anagrafici)]"/>
            <xsl:with-param name="format" select="''"/>
        </xsl:call-template>
    </xsl:variable>
    <xsl:if test="$numero_iscrizione_albo_cooperative &gt; 0">
        <tr>
            <td align="right">
                <i>Numero Iscrizione all' Albo delle Cooperative:</i>
            </td>
            <td>
                <xsl:value-of select="$numero_iscrizione_albo_cooperative"/>
            </td>
        </tr>
    </xsl:if>

<tr class="lastrow">
<td class="indent"/>
<td class="indent"/>
<td class="label"/>
<td class="space"/>
<td class="value"/>
<td class="space"/>
<td class="value"/>
</tr>
</tbody>
<!-- tfoot>
<tr>
<td align="right">
<small>idcontext_dati_anagrafici:</small>
</td>
<td>
<xsl:value-of select="$idcontext_dati_anagrafici"/> 
</td>
</tr>
</tfoot -->
</table>
<hr/>
<!-- 
BILANCIO ABBREVIATO:
Stato patrimoniale d'esercizio
-->
<xsl:if test="$tipologia_bilancio='ABB'">
<center>
<table class="value">
<caption align="top">
<div class="pagelabel">
<div class="normal">Stato patrimoniale in forma abbreviata</div>
</div>
</caption>
<tr>
<th class="indent" colspan="1" rowspan="1"/>
<th class="indent" colspan="1" rowspan="1"/>
<th class="indent" colspan="1" rowspan="1"/>
<th class="indent" colspan="1" rowspan="1"/>
<th class="indent" colspan="1" rowspan="1"/>
<th class="title" colspan="1" rowspan="1"/>
<th class="valuetitle" colspan="1" rowspan="1">
<div class="normal"><xsl:value-of select="$anno_corrente"/></div>
</th>
<th class="valuetitle" colspan="1" rowspan="1">
<div class="normal"><xsl:value-of select="$anno_precedente"/></div>
</th>
</tr>
<tr class="row1">
<td class="first_label" colspan="6">Stato patrimoniale</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="first_label" colspan="5">Attivo</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">A) Crediti verso soci per versamenti ancora dovuti</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">Parte richiamata</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamata[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamata[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamata[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamata[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamata[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamata[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">Parte da richiamare</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamare[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamare[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamare[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamare[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamare[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiVersoSociVersamentiAncoraDovutiParteRichiamare[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--  modifica marina 25/01/08  -->
<!-- <tr class="row2SaoSP">   -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale crediti verso soci per versamenti ancora dovuti (A)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCreditiVersoSociVersamentiAncoraDovuti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCreditiVersoSociVersamentiAncoraDovuti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCreditiVersoSociVersamentiAncoraDovuti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCreditiVersoSociVersamentiAncoraDovuti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCreditiVersoSociVersamentiAncoraDovuti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCreditiVersoSociVersamentiAncoraDovuti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">B) Immobilizzazioni</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">I - Immobilizzazioni immateriali</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Valore lordo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiValoreLordo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiValoreLordo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiValoreLordo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiValoreLordo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiValoreLordo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiValoreLordo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Ammortamenti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiAmmortamenti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiAmmortamenti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiAmmortamenti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiAmmortamenti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiAmmortamenti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiAmmortamenti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Svalutazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiSvalutazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiSvalutazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiSvalutazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiSvalutazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiSvalutazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniImmaterialiSvalutazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale immobilizzazioni immateriali</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniImmateriali[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniImmateriali[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniImmateriali[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniImmateriali[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniImmateriali[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniImmateriali[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">II - Immobilizzazioni materiali</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Valore lordo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiValoreLordo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiValoreLordo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiValoreLordo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiValoreLordo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiValoreLordo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiValoreLordo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Ammortamenti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiAmmortamenti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiAmmortamenti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiAmmortamenti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiAmmortamenti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiAmmortamenti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiAmmortamenti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Svalutazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiSvalutazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiSvalutazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiSvalutazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiSvalutazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiSvalutazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniMaterialiSvalutazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale immobilizzazioni materiali</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniMateriali[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniMateriali[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniMateriali[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniMateriali[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniMateriali[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniMateriali[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">III - Immobilizzazioni finanziarie</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Crediti</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">esigibili entro l'esercizio successivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">esigibili oltre l'esercizio successivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">Totale crediti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiTotaleCrediti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiTotaleCrediti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiTotaleCrediti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiTotaleCrediti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiTotaleCrediti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieCreditiTotaleCrediti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Altre immobilizzazioni finanziarie</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieAltreImmobilizzazioniFinanziarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieAltreImmobilizzazioniFinanziarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieAltreImmobilizzazioniFinanziarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieAltreImmobilizzazioniFinanziarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieAltreImmobilizzazioniFinanziarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImmobilizzazioniFinanziarieAltreImmobilizzazioniFinanziarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale immobilizzazioni finanziarie</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniFinanziarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniFinanziarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniFinanziarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniFinanziarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniFinanziarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioniFinanziarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!-- modifica marina -->
<!-- <tr class="row1SaoSP">    -->
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale immobilizzazioni (B)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleImmobilizzazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">C) Attivo circolante</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">I - Rimanenze</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale rimanenze</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRimanenze[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRimanenze[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRimanenze[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRimanenze[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRimanenze[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRimanenze[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">II - Crediti</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">esigibili entro l'esercizio successivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">esigibili oltre l'esercizio successivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CreditiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale crediti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCrediti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCrediti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCrediti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCrediti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCrediti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCrediti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">III - Attività finanziarie che non costituiscono immobilizzazioni</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale attività finanziarie che non costituiscono immobilizzazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivitaFinanziarieNonCostituisconoImmobilizzazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivitaFinanziarieNonCostituisconoImmobilizzazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivitaFinanziarieNonCostituisconoImmobilizzazioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivitaFinanziarieNonCostituisconoImmobilizzazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivitaFinanziarieNonCostituisconoImmobilizzazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivitaFinanziarieNonCostituisconoImmobilizzazioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">IV - Disponibilità liquide</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale disponibilità liquide</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDisponibilitaLiquide[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDisponibilitaLiquide[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDisponibilitaLiquide[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDisponibilitaLiquide[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDisponibilitaLiquide[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDisponibilitaLiquide[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--   modifica marina   -->
<!--  <tr class="row1SaoSP">  -->
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale attivo circolante (C)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivoCircolante[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivoCircolante[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivoCircolante[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivoCircolante[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivoCircolante[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivoCircolante[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">D) Ratei e risconti</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<!-- modifica marina   -->
<!-- <tr class="row1SaoSP">    -->
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale ratei e risconti (D)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:AttivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:AttivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:AttivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:AttivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:AttivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:AttivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!-- modifica marina   -->
<!--  <tr class="row2SaoSP">   -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="first_label" colspan="4">Totale attivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topbottomborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topbottomborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleAttivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="first_label" colspan="5">Passivo</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">A) Patrimonio netto</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">I - Capitale.</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoCapitale[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoCapitale[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoCapitale[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoCapitale[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoCapitale[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoCapitale[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">II - Riserva da soprapprezzo delle azioni.</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaSoprapprezzoAzioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaSoprapprezzoAzioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaSoprapprezzoAzioni[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaSoprapprezzoAzioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaSoprapprezzoAzioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaSoprapprezzoAzioni[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">III - Riserve di rivalutazione.</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveRivalutazione[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveRivalutazione[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveRivalutazione[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveRivalutazione[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveRivalutazione[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveRivalutazione[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">IV - Riserva legale.</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaLegale[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaLegale[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaLegale[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaLegale[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaLegale[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaLegale[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">V - Riserve statutarie</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveStatutarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveStatutarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveStatutarie[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveStatutarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveStatutarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiserveStatutarie[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">VI - Riserva per azioni proprie in portafoglio.</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaAzioniPropriePortafoglio[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaAzioniPropriePortafoglio[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaAzioniPropriePortafoglio[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaAzioniPropriePortafoglio[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaAzioniPropriePortafoglio[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoRiservaAzioniPropriePortafoglio[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">VII - Altre riserve, distintamente indicate.</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale altre riserve</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoAltreRiserveDistintamenteIndicateTotaleAltreRiserve[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoAltreRiserveDistintamenteIndicateTotaleAltreRiserve[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoAltreRiserveDistintamenteIndicateTotaleAltreRiserve[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoAltreRiserveDistintamenteIndicateTotaleAltreRiserve[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoAltreRiserveDistintamenteIndicateTotaleAltreRiserve[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoAltreRiserveDistintamenteIndicateTotaleAltreRiserve[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">VIII - Utili (perdite) portati a nuovo.</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtiliPerditePortatiNuovo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtiliPerditePortatiNuovo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtiliPerditePortatiNuovo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtiliPerditePortatiNuovo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtiliPerditePortatiNuovo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtiliPerditePortatiNuovo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">IX - Utile (perdita) dell'esercizio.</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Utile (perdita) residua</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtilePerditaEsercizioUtilePerditaResidua[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtilePerditaEsercizioUtilePerditaResidua[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtilePerditaEsercizioUtilePerditaResidua[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtilePerditaEsercizioUtilePerditaResidua[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtilePerditaEsercizioUtilePerditaResidua[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PatrimonioNettoUtilePerditaEsercizioUtilePerditaResidua[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale patrimonio netto</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePatrimonioNetto[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePatrimonioNetto[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePatrimonioNetto[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePatrimonioNetto[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePatrimonioNetto[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePatrimonioNetto[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">B) Fondi per rischi e oneri</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale fondi per rischi ed oneri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleFondiRischiOneri[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleFondiRischiOneri[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleFondiRischiOneri[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleFondiRischiOneri[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleFondiRischiOneri[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleFondiRischiOneri[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">C) Trattamento di fine rapporto di lavoro subordinato</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TrattamentoFineRapportoLavoroSubordinato[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TrattamentoFineRapportoLavoroSubordinato[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TrattamentoFineRapportoLavoroSubordinato[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TrattamentoFineRapportoLavoroSubordinato[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TrattamentoFineRapportoLavoroSubordinato[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TrattamentoFineRapportoLavoroSubordinato[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">D) Debiti</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">esigibili entro l'esercizio successivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliEntroEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">esigibili oltre l'esercizio successivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DebitiEsigibiliOltreEsercizioSuccessivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale debiti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDebiti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDebiti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDebiti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDebiti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDebiti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleDebiti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="sez_label" colspan="4">E) Ratei e risconti</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale ratei e risconti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PassivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PassivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PassivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PassivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PassivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:PassivoRateiRiscontiTotaleRateiRisconti[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!-- modifica marina   -->
<!--  <tr class="row2SaoSP">    -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="first_label" colspan="4">Totale passivo</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePassivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'topbottomborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePassivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePassivo[(@contextRef = $I_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePassivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'topbottomborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePassivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePassivo[(@contextRef = $I_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row0">
<td colspan="8">
<br/>
</td>
</tr>
</table>
</center>
<br/>
<hr/>
</xsl:if>
<br/>
<!-- 
CONTO D'ORDINE
-->
               <center>
                    <table class="value">
                        <caption align="top">
                            <div class="pagelabel">
                                <div class="normal">Conti d'ordine</div>
                            </div>
                        </caption>
                        <tr>
                            <th class="indent" colspan="1" rowspan="1"/>
                            <th class="indent" colspan="1" rowspan="1"/>
                            <th class="indent" colspan="1" rowspan="1"/>
                            <th class="title" colspan="1" rowspan="1"/>
                            <th class="valuetitle" colspan="1" rowspan="1">
                                <div class="normal">
                                    <xsl:value-of select="$anno_corrente"/>
                                </div>
                            </th>
                            <th class="valuetitle" colspan="1" rowspan="1">
                                <div class="normal">
                                    <xsl:value-of select="$anno_precedente"/>
                                </div>
                            </th>
                        </tr>
                        <tr class="row1">
                            <td class="first_label" colspan="4">Conti d'ordine</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="sez_label" colspan="3">Rischi assunti dall'impresa</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">Fideiussioni</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese collegate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate da controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">ad altre imprese</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniAltreImprese[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniAltreImprese[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">Totale fideiussioni</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniTotaleFideiussioni[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniTotaleFideiussioni[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniTotaleFideiussioni[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniTotaleFideiussioni[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniTotaleFideiussioni[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaFideiussioniTotaleFideiussioni[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">Avalli</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese collegate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate da controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">ad altre imprese</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliAltreImprese[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliAltreImprese[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">Totale avalli</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliTotaleAvalli[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliTotaleAvalli[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliTotaleAvalli[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliTotaleAvalli[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliTotaleAvalli[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAvalliTotaleAvalli[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">Altre garanzie personali</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese collegate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate da controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">ad altre imprese</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliAltreImprese[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliAltreImprese[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">Totale altre garanzie personali</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliTotaleAltreGaranziePersonali[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliTotaleAltreGaranziePersonali[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliTotaleAltreGaranziePersonali[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliTotaleAltreGaranziePersonali[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliTotaleAltreGaranziePersonali[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltreGaranziePersonaliTotaleAltreGaranziePersonali[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">Garanzie reali</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese collegate</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseCollegate[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseCollegate[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">a imprese controllate da controllanti</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllateControllanti[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiImpreseControllateControllanti[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">ad altre imprese</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiAltreImprese[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiAltreImprese[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiAltreImprese[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiAltreImprese[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">Totale garanzie reali</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiTotaleGaranzieReali[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiTotaleGaranzieReali[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiTotaleGaranzieReali[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiTotaleGaranzieReali[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiTotaleGaranzieReali[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaGaranzieRealiTotaleGaranzieReali[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">Altri rischi</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">crediti ceduti pro solvendo</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiCreditiCedutiProSolvendo[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiCreditiCedutiProSolvendo[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiCreditiCedutiProSolvendo[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiCreditiCedutiProSolvendo[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiCreditiCedutiProSolvendo[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiCreditiCedutiProSolvendo[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">altri</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiAltri[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiAltri[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiAltri[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiAltri[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiAltri[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiAltri[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="1">Totale altri rischi</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiTotaleAltriRischi[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiTotaleAltriRischi[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiTotaleAltriRischi[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiTotaleAltriRischi[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiTotaleAltriRischi[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:RischiAssuntiImpresaAltriRischiTotaleAltriRischi[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="tot_label" colspan="2">Totale rischi assunti dall'impresa</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleRischiAssuntiImpresa[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:TotaleRischiAssuntiImpresa[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleRischiAssuntiImpresa[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleRischiAssuntiImpresa[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:TotaleRischiAssuntiImpresa[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleRischiAssuntiImpresa[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                           <tr class="row1">
                            <td class="emptylabel"/>
                               <td class="sez_label" colspan="3">Impegni assunti dall'impresa</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">Totale impegni assunti dall'impresa</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleImpegniAssuntiImpresa[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:TotaleImpegniAssuntiImpresa[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleImpegniAssuntiImpresa[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleImpegniAssuntiImpresa[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:TotaleImpegniAssuntiImpresa[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleImpegniAssuntiImpresa[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>

 

 
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="sez_label" colspan="3">Beni di terzi presso l'impresa</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">merci in conto lavorazione</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaMerciContoLavorazione[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaMerciContoLavorazione[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaMerciContoLavorazione[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaMerciContoLavorazione[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaMerciContoLavorazione[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaMerciContoLavorazione[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">beni presso l'impresa a titolo di deposito o comodato</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaTitoloDepositoComodato[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaTitoloDepositoComodato[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaTitoloDepositoComodato[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaTitoloDepositoComodato[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaTitoloDepositoComodato[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaTitoloDepositoComodato[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">beni presso l'impresa in pegno o cauzione</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaPegnoCauzione[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaPegnoCauzione[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaPegnoCauzione[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaPegnoCauzione[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaPegnoCauzione[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaBeniPressoImpresaPegnoCauzione[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="label" colspan="2">altro</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaAltro[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaAltro[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaAltro[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaAltro[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaAltro[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:BeniTerziPressoImpresaAltro[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="tot_label" colspan="2">Totale beni di terzi presso l'impresa</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleBeniTerziPressoImpresa[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:TotaleBeniTerziPressoImpresa[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleBeniTerziPressoImpresa[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleBeniTerziPressoImpresa[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                    select="/xbrli:xbrl/itcc-ci:TotaleBeniTerziPressoImpresa[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleBeniTerziPressoImpresa[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>

                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="sez_label" colspan="3">Altri conti d'ordine</td>
                            <td class="emptyvalue"/>
                            <td class="emptyvalue"/>
                        </tr>
                        <tr class="row2">
                            <td class="emptylabel"/>
                            <td class="emptylabel"/>
                            <td class="tot_label" colspan="2">Totale altri conti d'ordine</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleAltriContiOrdine[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                  select="/xbrli:xbrl/itcc-ci:TotaleAltriContiOrdine[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleAltriContiOrdine[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleAltriContiOrdine[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'noborder'"/>
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                  select="/xbrli:xbrl/itcc-ci:TotaleAltriContiOrdine[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleAltriContiOrdine[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <!-- modifica marina -->
                        <!--  <tr class="row1SaoCO">    -->
                        <tr class="row1">
                            <td class="emptylabel"/>
                            <td class="sez_label" colspan="3">Totale conti d'ordine</td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleContiOrdine[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="class" select="'topbottomborder'"
                                            />
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                  select="/xbrli:xbrl/itcc-ci:TotaleContiOrdine[(@contextRef = $I_02)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleContiOrdine[(@contextRef = $I_02)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                            <td class="value">
                                <div>
                                    <xsl:attribute name="class">
                                        <xsl:call-template name="getValueBorderClass">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleContiOrdine[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="class" select="'topbottomborder'"
                                            />
                                        </xsl:call-template>
                                    </xsl:attribute>
                                    <div>
                                        <xsl:attribute name="class">
                                            <xsl:call-template name="getValueCellClass">
                                                <xsl:with-param name="nodeset"
                                                  select="/xbrli:xbrl/itcc-ci:TotaleContiOrdine[(@contextRef = $I_01)  ]"/>
                                                <xsl:with-param name="class" select="'numeric'"/>
                                            </xsl:call-template>
                                        </xsl:attribute>
                                        <xsl:call-template name="getValueString">
                                            <xsl:with-param name="nodeset"
                                                select="/xbrli:xbrl/itcc-ci:TotaleContiOrdine[(@contextRef = $I_01)  ]"/>
                                            <xsl:with-param name="format" select="'format0'"/>
                                        </xsl:call-template>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="row0">
                            <td colspan="6">
                                <br/>
                            </td>
                        </tr>
                    </table>
                </center>
                <br/>
<!-- 
BILANCIO ABBREVIATO:
Conto economico in forma abbreviata
-->
<xsl:if test="$tipologia_bilancio='ABB'">
<center>
<table class="value">
<caption align="top">
<div class="pagelabel">
<div class="normal">Conto Economico in forma abbreviata</div>
</div>
</caption>
<tr>
<th class="indent" colspan="1" rowspan="1"/>
<th class="indent" colspan="1" rowspan="1"/>
<th class="indent" colspan="1" rowspan="1"/>
<th class="indent" colspan="1" rowspan="1"/>
<th class="title" colspan="1" rowspan="1"/>
<th class="valuetitle" colspan="1" rowspan="1">
<div class="normal"><xsl:value-of select="$anno_corrente"/></div>
</th>
<th class="valuetitle" colspan="1" rowspan="1">
<div class="normal"><xsl:value-of select="$anno_precedente"/></div>
</th>
</tr>
<tr class="row1">
<td class="first_label" colspan="5">Conto economico</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">A) Valore della produzione:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">1) ricavi delle vendite e delle prestazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneRicaviVenditePrestazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneRicaviVenditePrestazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneRicaviVenditePrestazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneRicaviVenditePrestazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneRicaviVenditePrestazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneRicaviVenditePrestazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">2), 3) variazioni delle rimanenze di prodotti in corso di lavorazione, semilavorati e finiti e dei lavori in corso su ordinazione</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFinitiLavoriCorsoOrdinazione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFinitiLavoriCorsoOrdinazione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFinitiLavoriCorsoOrdinazione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFinitiLavoriCorsoOrdinazione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFinitiLavoriCorsoOrdinazione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFinitiLavoriCorsoOrdinazione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">2) variazioni delle rimanenze di prodotti in corso di lavorazione, semilavorati e finiti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFiniti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFiniti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFiniti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFiniti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFiniti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniRimanenzeProdottiCorsoLavorazioneSemilavoratiFiniti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">3) variazioni dei lavori in corso su ordinazione</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniLavoriCorsoOrdinazione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniLavoriCorsoOrdinazione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniLavoriCorsoOrdinazione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniLavoriCorsoOrdinazione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniLavoriCorsoOrdinazione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneVariazioniLavoriCorsoOrdinazione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">4) incrementi di immobilizzazioni per lavori interni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneIncrementiImmobilizzazioniLavoriInterni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneIncrementiImmobilizzazioniLavoriInterni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneIncrementiImmobilizzazioniLavoriInterni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneIncrementiImmobilizzazioniLavoriInterni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneIncrementiImmobilizzazioniLavoriInterni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneIncrementiImmobilizzazioniLavoriInterni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">5) altri ricavi e proventi</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">contributi in conto esercizio</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiContributiContoEsercizio[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiContributiContoEsercizio[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiContributiContoEsercizio[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiContributiContoEsercizio[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiContributiContoEsercizio[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiContributiContoEsercizio[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">altri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale altri ricavi e proventi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiTotaleAltriRicaviProventi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiTotaleAltriRicaviProventi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiTotaleAltriRicaviProventi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiTotaleAltriRicaviProventi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiTotaleAltriRicaviProventi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ValoreProduzioneAltriRicaviProventiTotaleAltriRicaviProventi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale valore della produzione</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleValoreProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleValoreProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleValoreProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleValoreProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleValoreProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleValoreProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">B) Costi della produzione:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">6) per materie prime, sussidiarie, di consumo e di merci</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">7) per servizi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneServizi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneServizi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneServizi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneServizi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneServizi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneServizi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">8) per godimento di beni di terzi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneGodimentoBeniTerzi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneGodimentoBeniTerzi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneGodimentoBeniTerzi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneGodimentoBeniTerzi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneGodimentoBeniTerzi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneGodimentoBeniTerzi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">9) per il personale:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">a) salari e stipendi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleSalariStipendi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleSalariStipendi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleSalariStipendi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleSalariStipendi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleSalariStipendi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleSalariStipendi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">b) oneri sociali</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleOneriSociali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleOneriSociali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleOneriSociali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleOneriSociali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleOneriSociali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleOneriSociali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">c), d), e) trattamento di fine rapporto, trattamento di quiescenza, altri costi del personale</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapportoTrattamentoQuiescenzaAltriCostiPersonale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapportoTrattamentoQuiescenzaAltriCostiPersonale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapportoTrattamentoQuiescenzaAltriCostiPersonale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapportoTrattamentoQuiescenzaAltriCostiPersonale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapportoTrattamentoQuiescenzaAltriCostiPersonale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapportoTrattamentoQuiescenzaAltriCostiPersonale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">c) trattamento di fine rapporto</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapporto[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapporto[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapporto[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapporto[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapporto[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoFineRapporto[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">d) trattamento di quiescenza e simili</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoQuiescenzaSimili[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoQuiescenzaSimili[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoQuiescenzaSimili[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoQuiescenzaSimili[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoQuiescenzaSimili[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTrattamentoQuiescenzaSimili[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">e) altri costi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleAltriCosti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleAltriCosti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleAltriCosti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleAltriCosti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleAltriCosti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleAltriCosti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale costi per il personale</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTotaleCostiPersonale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTotaleCostiPersonale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTotaleCostiPersonale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTotaleCostiPersonale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTotaleCostiPersonale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzionePersonaleTotaleCostiPersonale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">10) ammortamenti e svalutazioni:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">a), b), c) ammortamento delle immobilizzazioni immateriali e materiali, altre svalutazioni delle immobilizzazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmaterialiMaterialiAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmaterialiMaterialiAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmaterialiMaterialiAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmaterialiMaterialiAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmaterialiMaterialiAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmaterialiMaterialiAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">a) ammortamento delle immobilizzazioni immateriali</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmateriali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmateriali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmateriali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmateriali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmateriali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniImmateriali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">b) ammortamento delle immobilizzazioni materiali</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniMateriali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniMateriali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniMateriali[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniMateriali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniMateriali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAmmortamentoImmobilizzazioniMateriali[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">c) altre svalutazioni delle immobilizzazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniAltreSvalutazioniImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">d) svalutazioni dei crediti compresi nell'attivo circolante e delle disponibilità liquide</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniSvalutazioniCreditiCompresiAttivoCircolanteDisponibilitaLiquide[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniSvalutazioniCreditiCompresiAttivoCircolanteDisponibilitaLiquide[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniSvalutazioniCreditiCompresiAttivoCircolanteDisponibilitaLiquide[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniSvalutazioniCreditiCompresiAttivoCircolanteDisponibilitaLiquide[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniSvalutazioniCreditiCompresiAttivoCircolanteDisponibilitaLiquide[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniSvalutazioniCreditiCompresiAttivoCircolanteDisponibilitaLiquide[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale ammortamenti e svalutazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniTotaleAmmortamentiSvalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniTotaleAmmortamentiSvalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniTotaleAmmortamentiSvalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniTotaleAmmortamentiSvalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniTotaleAmmortamentiSvalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAmmortamentiSvalutazioniTotaleAmmortamentiSvalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">11) variazioni delle rimanenze di materie prime, sussidiarie, di consumo e merci</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneVariazioniRimanenzeMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneVariazioniRimanenzeMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneVariazioniRimanenzeMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneVariazioniRimanenzeMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneVariazioniRimanenzeMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneVariazioniRimanenzeMateriePrimeSussidiarieConsumoMerci[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">12) accantonamenti per rischi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAccantonamentiRischi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAccantonamentiRischi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAccantonamentiRischi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAccantonamentiRischi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAccantonamentiRischi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAccantonamentiRischi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">13) altri accantonamenti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAltriAccantonamenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAltriAccantonamenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAltriAccantonamenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAltriAccantonamenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAltriAccantonamenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneAltriAccantonamenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">14) oneri diversi di gestione</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneOneriDiversiGestione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneOneriDiversiGestione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneOneriDiversiGestione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneOneriDiversiGestione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneOneriDiversiGestione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:CostiProduzioneOneriDiversiGestione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale costi della produzione</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCostiProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCostiProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCostiProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCostiProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCostiProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleCostiProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--  modifica marina -->
<!-- <tr class="row1SaoCE">   -->
<tr class="row1">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">Differenza tra valore e costi della produzione (A - B)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DifferenzaValoreCostiProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DifferenzaValoreCostiProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DifferenzaValoreCostiProduzione[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DifferenzaValoreCostiProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DifferenzaValoreCostiProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:DifferenzaValoreCostiProduzione[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">C) Proventi e oneri finanziari:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">15) proventi da partecipazioni</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">da imprese controllate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">da imprese collegate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">altri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale proventi da partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniTotaleProventiPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniTotaleProventiPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniTotaleProventiPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniTotaleProventiPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniTotaleProventiPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariProventiPartecipazioniTotaleProventiPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">16) altri proventi finanziari:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">a) da crediti iscritti nelle immobilizzazioni</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">da imprese controllate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">da imprese collegate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">da imprese controllanti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">altri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
    <td class="label" colspan="1">Totale proventi finanziari da crediti iscritti nelle immobilizzazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniTotaleProventiFinanziariCreditiIscrittiImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniTotaleProventiFinanziariCreditiIscrittiImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniTotaleProventiFinanziariCreditiIscrittiImmobilizzazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniTotaleProventiFinanziariCreditiIscrittiImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniTotaleProventiFinanziariCreditiIscrittiImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
    <xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariCreditiIscrittiImmobilizzazioniTotaleProventiFinanziariCreditiIscrittiImmobilizzazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">b), c) da titoli iscritti nelle immobilizzazioni che non costituiscono partecipazioni e da titoli iscritti nell'attivo circolante che non costituiscono partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">b) da titoli iscritti nelle immobilizzazioni che non costituiscono partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiImmobilizzazioniNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">c) da titoli iscritti nell'attivo circolante che non costituiscono partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">d) proventi diversi dai precedenti</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">da imprese controllate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">da imprese collegate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">da imprese controllanti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">altri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">Totale proventi diversi dai precedenti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiTotaleProventiDiversiPrecedenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiTotaleProventiDiversiPrecedenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiTotaleProventiDiversiPrecedenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiTotaleProventiDiversiPrecedenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiTotaleProventiDiversiPrecedenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariProventiDiversiPrecedentiTotaleProventiDiversiPrecedenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale altri proventi finanziari</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTotaleAltriProventiFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTotaleAltriProventiFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTotaleAltriProventiFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTotaleAltriProventiFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTotaleAltriProventiFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariAltriProventiFinanziariTotaleAltriProventiFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">17) interessi e altri oneri finanziari</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">a imprese controllate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">a imprese collegate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseCollegate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseCollegate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">a imprese controllanti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllanti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariImpreseControllanti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">altri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale interessi e altri oneri finanziari</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariTotaleInteressiAltriOneriFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariTotaleInteressiAltriOneriFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariTotaleInteressiAltriOneriFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariTotaleInteressiAltriOneriFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariTotaleInteressiAltriOneriFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariInteressiAltriOneriFinanziariTotaleInteressiAltriOneriFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">17-bis) utili e perdite su cambi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariUtiliPerditeCambi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariUtiliPerditeCambi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariUtiliPerditeCambi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariUtiliPerditeCambi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariUtiliPerditeCambi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriFinanziariUtiliPerditeCambi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!-- modifica marina -->
<!-- <tr class="row2SaoCE">   -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale proventi e oneri finanziari (15 + 16 - 17 + - 17-bis)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleProventiOneriFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleProventiOneriFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleProventiOneriFinanziari[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleProventiOneriFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleProventiOneriFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleProventiOneriFinanziari[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">D) Rettifiche di valore di attività finanziarie:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">18) rivalutazioni:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">a) di partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">b) di immobilizzazioni finanziarie che non costituiscono partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">c) di titoli iscritti all'attivo circolante che non costituiscono partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale rivalutazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTotaleRivalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTotaleRivalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTotaleRivalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTotaleRivalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTotaleRivalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieRivalutazioniTotaleRivalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">19) svalutazioni:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">a) di partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">b) di immobilizzazioni finanziarie che non costituiscono partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniImmobilizzazioniFinanziarieNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="1">c) di titoli iscritti nell'attivo circolante che non costituiscono partecipazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTitoliIscrittiAttivoCircolanteNonCostituisconoPartecipazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale svalutazioni</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTotaleSvalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTotaleSvalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTotaleSvalutazioni[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTotaleSvalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTotaleSvalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RettificheValoreAttivitaFinanziarieSvalutazioniTotaleSvalutazioni[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--   modifica marina -->
<!--  <tr class="row2SaoCE">  -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale delle rettifiche di valore di attività finanziarie (18 - 19)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRettificheValoreAttivitaFinanziarie[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRettificheValoreAttivitaFinanziarie[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRettificheValoreAttivitaFinanziarie[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRettificheValoreAttivitaFinanziarie[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRettificheValoreAttivitaFinanziarie[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotaleRettificheValoreAttivitaFinanziarie[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">E) Proventi e oneri straordinari:</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">20) proventi</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">plusvalenze da alienazioni i cui ricavi non sono iscrivibili al n 5</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiPlusvalenzeAlienazioniCuiRicaviNonSonoIscrivibiliN5[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiPlusvalenzeAlienazioniCuiRicaviNonSonoIscrivibiliN5[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiPlusvalenzeAlienazioniCuiRicaviNonSonoIscrivibiliN5[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiPlusvalenzeAlienazioniCuiRicaviNonSonoIscrivibiliN5[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiPlusvalenzeAlienazioniCuiRicaviNonSonoIscrivibiliN5[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiPlusvalenzeAlienazioniCuiRicaviNonSonoIscrivibiliN5[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!-- marina -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Differenza da arrotondamento all'unità di Euro</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!-- -->
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">altri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale proventi</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiTotaleProventi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiTotaleProventi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiTotaleProventi[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiTotaleProventi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiTotaleProventi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariProventiTotaleProventi[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">21) oneri</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">minusvalenze da alienazioni i cui effetti contabili non sono iscrivibili al n 14</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriMinusvalenzeAlienazioniCuiEffettiContabiliNonSonoIscrivibiliN14[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriMinusvalenzeAlienazioniCuiEffettiContabiliNonSonoIscrivibiliN14[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriMinusvalenzeAlienazioniCuiEffettiContabiliNonSonoIscrivibiliN14[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriMinusvalenzeAlienazioniCuiEffettiContabiliNonSonoIscrivibiliN14[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriMinusvalenzeAlienazioniCuiEffettiContabiliNonSonoIscrivibiliN14[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriMinusvalenzeAlienazioniCuiEffettiContabiliNonSonoIscrivibiliN14[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">imposte relative ad esercizi precedenti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriImposteRelativeEserciziPrecedenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriImposteRelativeEserciziPrecedenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriImposteRelativeEserciziPrecedenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriImposteRelativeEserciziPrecedenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriImposteRelativeEserciziPrecedenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriImposteRelativeEserciziPrecedenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--marina -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Differenza da arrotondamento all'unità di Euro</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriDifferenzaArrotondamentoUnitaEuro[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!-- -->
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">altri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriAltri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriAltri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="2">Totale oneri</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriTotaleOneri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriTotaleOneri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriTotaleOneri[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriTotaleOneri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriTotaleOneri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ProventiOneriStraordinariOneriTotaleOneri[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--   modifica marina -->
<!-- <tr class="row1SaoCE"> -->
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="tot_label" colspan="3">Totale delle partite straordinarie (20 - 21)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePartiteStraordinarie[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePartiteStraordinarie[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePartiteStraordinarie[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePartiteStraordinarie[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePartiteStraordinarie[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:TotalePartiteStraordinarie[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--   modifica marina -->
<!--  <tr class="row2SaoCE">  -->
<tr class="row2">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">Risultato prima delle imposte (A - B + - C + - D + - E)</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RisultatoPrimaImposte[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RisultatoPrimaImposte[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RisultatoPrimaImposte[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RisultatoPrimaImposte[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RisultatoPrimaImposte[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:RisultatoPrimaImposte[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="label" colspan="4">22) Imposte sul reddito dell'esercizio, correnti, differite e anticipate</td>
<td class="emptyvalue"/>
<td class="emptyvalue"/>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">imposte correnti</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteCorrenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteCorrenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteCorrenti[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteCorrenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteCorrenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteCorrenti[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">imposte differite</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteDifferite[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteDifferite[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteDifferite[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteDifferite[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteDifferite[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteDifferite[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">imposte anticipate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteAnticipate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteAnticipate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteAnticipate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteAnticipate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteAnticipate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateImposteAnticipate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row1">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">proventi (oneri) da adesione al regime di consolidato fiscale / trasparenza fiscale</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateProventiOneriAdesioneRegimeConsolidatoFiscaleTrasparenzaFiscale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateProventiOneriAdesioneRegimeConsolidatoFiscaleTrasparenzaFiscale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateProventiOneriAdesioneRegimeConsolidatoFiscaleTrasparenzaFiscale[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateProventiOneriAdesioneRegimeConsolidatoFiscaleTrasparenzaFiscale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'noborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateProventiOneriAdesioneRegimeConsolidatoFiscaleTrasparenzaFiscale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateProventiOneriAdesioneRegimeConsolidatoFiscaleTrasparenzaFiscale[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--   modifica marina -->
<!--  <tr class="row2SaoCE">    -->
<tr class="row2">
<td class="emptylabel"/>
<td class="emptylabel"/>
<td class="label" colspan="3">Totale delle imposte sul reddito dell'esercizio, correnti, differite e anticipate</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateTotaleImposteRedditoEsercizioCorrentiDifferiteAnticipate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateTotaleImposteRedditoEsercizioCorrentiDifferiteAnticipate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateTotaleImposteRedditoEsercizioCorrentiDifferiteAnticipate[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateTotaleImposteRedditoEsercizioCorrentiDifferiteAnticipate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateTotaleImposteRedditoEsercizioCorrentiDifferiteAnticipate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:ImposteRedditoEsercizioCorrentiDifferiteAnticipateTotaleImposteRedditoEsercizioCorrentiDifferiteAnticipate[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<!--   modifica marina -->
<!--  <tr class="row1SaoCE">  -->
<tr class="row1">
<td class="emptylabel"/>
<td class="sez_label" colspan="4">23) Utile (perdita) dell'esercizio</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:UtilePerditaEsercizio[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'topbottomborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:UtilePerditaEsercizio[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:UtilePerditaEsercizio[(@contextRef = $D_02)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
<td class="value">
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueBorderClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:UtilePerditaEsercizio[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'topbottomborder'"/>
</xsl:call-template>
</xsl:attribute>
<div> <xsl:attribute name="class">
<xsl:call-template name="getValueCellClass">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:UtilePerditaEsercizio[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="class" select="'numeric'"/>
</xsl:call-template>
</xsl:attribute>
<xsl:call-template name="getValueString">
<xsl:with-param name="nodeset" select="/xbrli:xbrl/itcc-ci:UtilePerditaEsercizio[(@contextRef = $D_01)  ]"/>
<xsl:with-param name="format" select="'format0'"/>
</xsl:call-template>
</div>
</div>
</td>
</tr>
<tr class="row0">
<td colspan="7">
<br/>
</td>
</tr>
</table>
</center>
<br/>
<hr/>
</xsl:if>
<br/>
<!-- UNITA' di misura delle grandezze monetarie -->
<xsl:if test="contains( /xbrli:xbrl//*[local-name()='measure'] , 'iso4217:EUR')">
<div>
<small>
<i>I valori si intendono espressi in euro</i>
</small>
</div>
<hr/>
</xsl:if>
<!-- FOOTNOTE  -->
<xsl:choose>
<xsl:when test="/xbrli:xbrl//*[namespace-uri() != 'http://www.xbrl.org/2003/instance']//@id">
<br/>
<div><u>NOTE</u>:</div>
<ol>
<xsl:for-each select="/xbrli:xbrl//*[namespace-uri() != 'http://www.xbrl.org/2003/instance']">
<xsl:choose>
<xsl:when test="./@id">
<xsl:variable name="link2element" select="concat('#',./@id)"/>
<li>
<div style="font-family: Arial; font-size: 12px;">
<a href="{string($link2element)}">
<xsl:value-of select="local-name(.)"/>
</a>
<xsl:call-template name="getFootnoteContent">
<xsl:with-param name="id">
<xsl:value-of select="./@id"/>
</xsl:with-param>
</xsl:call-template>
<a name="{concat(./@id,'_BOTTOM')}"/>
</div>
</li>
</xsl:when>
</xsl:choose>
</xsl:for-each>
</ol>
<br/>
<hr/>
<br/>
</xsl:when>
<xsl:otherwise>
<!-- 
Non ci sono footnote associate all'istanza
-->
</xsl:otherwise>
</xsl:choose>
<div class="footer">15 dicembre 2008, Generato da INFOCAMERE S.C.p.A.</div>
</body>
</html>
</xsl:template>
<xsl:template name="getValueBorderClass">
<xsl:param name="nodeset"/>
<xsl:param name="class"/>
<xsl:choose>
<xsl:when test="count($nodeset) = 0">noborder</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="getValueCellClass">
<xsl:param name="nodeset"/>
<xsl:param name="class"/>
<xsl:choose>
<xsl:when test="count($nodeset) = 0">emptyvalue</xsl:when>
<xsl:when test="$nodeset[1]/@xsi:nil = 'true'">nil</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$class"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="getValueString">
<xsl:param name="nodeset"/>
<xsl:param name="format"/>
<xsl:choose>
<xsl:when test="count($nodeset) = 0"/>
<xsl:when test="$nodeset[1]/@xsi:nil = 'true'">
<xsl:choose>
<xsl:when test="$nodeset[1]/@id">
<xsl:variable name="content">
<xsl:call-template name="getFootnoteContent">
<xsl:with-param name="id" select="$nodeset[1]/@id"/>
</xsl:call-template>
</xsl:variable>
<xsl:choose>
<xsl:when test="$content = ''">-</xsl:when>
<xsl:otherwise>
<xsl:copy-of select="$content"/>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:otherwise>-</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:when test="$format = 'format0'">
<xsl:call-template name="formatNumericValue">
<xsl:with-param name="value" select="string($nodeset)"/>
<xsl:with-param name="pattern" select="'#.##0,##'" />
<xsl:with-param name="unit" select="1"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$nodeset"/>
</xsl:otherwise>
</xsl:choose>
<!-- eventuale inserimento anchor html sotto forma di id -->
<xsl:if test="$nodeset/@id">
<xsl:variable name="firstPartOfLink" select="concat('#',$nodeset/@id)"/>
<span>
<a name="{string($nodeset/@id)}"/>
</span>
<a href="{string(concat($firstPartOfLink,'_BOTTOM'))}">(*)</a>
</xsl:if>
</xsl:template>
<xsl:template name="formatNumericValue">
<xsl:param name="value"/>
<xsl:param name="pattern"/>
<xsl:param name="unit"/>
<xsl:value-of select="format-number(number($value) div $unit, $pattern)"/>
</xsl:template>
<!-- footnote -->
<xsl:template name="insertFootnoteContents">
<xsl:for-each select="/descendant::*[namespace-uri() != 'http://www.xbrl.org/2003/instance'][@id]">
<xsl:call-template name="getFootnoteContent">
<xsl:with-param name="id" select="string(@id)"/>
</xsl:call-template>
</xsl:for-each>
</xsl:template>
<xsl:template name="getFootnoteContent">
<xsl:param name="id"/>
<xsl:for-each select="/*/xbrll:footnoteLink/xbrll:footnote[@xml:lang = 'it'][@xlink:label = /*/xbrll:footnoteLink/xbrll:footnoteArc[@xlink:from = /*/xbrll:footnoteLink/xbrll:loc[@xlink:href = concat('#', $id)]/@xlink:label]/@xlink:to]">
<div>
<xsl:for-each select="./node()">
<xsl:call-template name="copyXHTMLNode">
<xsl:with-param name="node" select="."/>
</xsl:call-template>
</xsl:for-each>
</div>
</xsl:for-each>
</xsl:template>
<xsl:template name="copyXHTMLNode">
<xsl:param name="node"/>
<xsl:choose>
<xsl:when test="$node/self::*">
<xsl:element name="{local-name($node)}">
<xsl:copy-of select="$node/@*"/>
<xsl:for-each select="$node/node()">
<xsl:call-template name="copyXHTMLNode">
<xsl:with-param name="node" select="."/>
</xsl:call-template>
</xsl:for-each>
</xsl:element>
</xsl:when>
<xsl:otherwise>
<xsl:copy-of select="$node"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
